MPD: pcm/dsd2pcm/noiseshape.h File Reference

MPD 0.20.18

Data Structures | Typedefs | Functions
noiseshape.h File Reference

Go to the source code of this file.

## Data Structures
struct | noise_shape_ctx_s

## Typedefs
typedef struct noise_shape_ctx_s | noise_shape_ctx

## Functions
int | noise_shape_init (noise_shape_ctx *ctx, int sos_count, const float *coeffs)
| initializes a noise_shaper context returns an error code or 0 More...
void | noise_shape_destroy (noise_shape_ctx *ctx)
| destroys a noise_shaper context More...
int | noise_shape_clone (const noise_shape_ctx *from, noise_shape_ctx *to)
| initializes a noise_shaper context so that its state is a copy of a given context returns an error code or 0 More...
float | noise_shape_get (noise_shape_ctx *ctx)
| computes the next "noise shaping sample". More...
void | noise_shape_update (noise_shape_ctx *ctx, float qerror)
| updates the noise shaper's state with the last quantization error More...

## Typedef Documentation

## ◆ noise_shape_ctx

typedef struct noise_shape_ctx_s noise_shape_ctx

## Function Documentation

## ◆ noise_shape_clone()

int noise_shape_clone | ( | const noise_shape_ctx * | from,
|  | noise_shape_ctx * | to
| ) |  |

initializes a noise_shaper context so that its state is a copy of a given context returns an error code or 0

## ◆ noise_shape_destroy()

void noise_shape_destroy | ( | noise_shape_ctx * | ctx | ) |

destroys a noise_shaper context

## ◆ noise_shape_get()

float noise_shape_get | ( | noise_shape_ctx * | ctx | ) |

computes the next "noise shaping sample".

Note: This call alters the internal state. xxx_get and xxx_update must be called in an alternating manner.

## ◆ noise_shape_init()

int noise_shape_init | ( | noise_shape_ctx * | ctx,
|  | int | sos_count,
|  | const float * | coeffs
| ) |  |

initializes a noise_shaper context returns an error code or 0

## ◆ noise_shape_update()

void noise_shape_update | ( | noise_shape_ctx * | ctx,
|  | float | qerror
| ) |  |

updates the noise shaper's state with the last quantization error